%define ver_major 0.6

Name: libcroco
Version: %ver_major.0
Release: alt1

Summary: A CSS2 parsing library
License: LGPL
Group: System/Libraries
Url: ftp://ftp.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

%define glib_ver 2.5.2
%define libxml2_ver 2.5.6

Requires: glib2 >= %glib_ver
Requires: libxml2 >= %libxml2_ver

BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: libxml2-devel >= %libxml2_ver

# Automatically added by buildreq on Mon Sep 06 2004
BuildRequires: doxygen gcc-c++ gcc-g77 glib2-devel libstdc++-devel libxml2-devel pkgconfig zlib-devel

%description
CSS2 parsing library for GNOME.

%package devel
Summary: Libraries and include files for developing with %name
Group: Development/C
Requires: %name = %version-%release
Requires: pkgconfig >= 0.8
Requires: glib2-devel >= %glib_ver
Requires: libxml2-devel >= %libxml2_ver

%description devel
This package provides the necessary development libraries and include
files to develop with %name.

%package -n css-utils
Summary: Command line CSS tools
Group: Text tools
Requires: %name = %version-%release

%description -n css-utils
This package provides csslint - program to parse CSS files. It is useful
for detecting errors both in CSS code and in the CSS parser itself.

%prep
%setup -q

%build
%configure --disable-static

%make_build
%make_build apidoc

%install
%makeinstall

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%doc AUTHORS ChangeLog NEWS README TODO

%files devel
%_bindir/croco-%ver_major-config
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
#%_man1dir/croco-config*
%doc docs/{apis/html,examples}

%files -n css-utils
%_bindir/csslint-%ver_major
#%_man1dir/csslint*

%changelog
* Mon Sep 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt1
- 0.6.0

* Sun Apr 18 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.5.1-alt1
- 0.5.1

* Wed Mar 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.5.0-alt1
- 0.5.0

* Sun Dec 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.0-alt1
- 0.4.0
- do not package .la files.

* Wed Oct 01 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.3.0-alt2
- fixed buildreqs.

* Tue Jul 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.3.0-alt1
- 0.3.0

* Mon Jun 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.0-alt1
- 0.2.0

* Fri Apr 18 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.1.0-alt1
- First build for Sisyphus.
